> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a secondary email address

> Update an existing secondary email address for a contact.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json PUT /contacts/v1/secondary-email/{vid}/email/{email}
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/secondary-email/{vid}/email/{email}:
    put:
      summary: Update a secondary email address
      description: Update an existing secondary email address for a contact.
      operationId: putcontactsv1secondaryemailvidemailemail
      responses:
        '200':
          description: >-
            Successful response - Update an existing secondary email address for
            a contact
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update an existing contact - Example 1
                  value:
                    portalId: 589323
                    vid: 21316
                    secondaryEmails:
                      - updatedAddress@hubspot.com
                      - newlyDiscoveredAddress@hubspot.com
      security:
        - oauth2:
            - crm.objects.contacts.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.write
        - private_apps_legacy: []
components: {}

````